/************************************************************
 *
 * Copyright (c) 2001 Chemi. All rights reserved.
 * 
 * This program and the accompanying materials
 * are made available under the terms of the MIT License
 * which accompanies this distribution, and is available at
 * http://www.opensource.org/licenses/mit-license.html
 *
 ************************************************************/

package es.org.chemi.games.util;

public interface Constants
{
	public static final String IMAGE_SMILE      = "smile.gif";
	public static final String IMAGE_MINE       = "mine.gif";
	public static final String IMAGE_WRONG      = "wrong.gif";
	public static final String IMAGE_SURPRISE   = "surprise.gif";
	public static final String IMAGE_SAD        = "sad.gif";
	public static final String IMAGE_HAPPY      = "happy.gif";
	public static final String IMAGE_EXPLOSION  = "explosion.gif";
	public static final String IMAGE_FLAG       = "flag.gif";
	public static final String IMAGE_QUESTION   = "question.gif";
	public static final String IMAGE_ONE_MINE   = "1mines.gif";
	public static final String IMAGE_TWO_MINE   = "2mines.gif";
	public static final String IMAGE_THREE_MINE = "3mines.gif";
	public static final String IMAGE_FOUR_MINE  = "4mines.gif";
	public static final String IMAGE_FIVE_MINE  = "5mines.gif";
	public static final String IMAGE_SIX_MINE   = "6mines.gif";
	public static final String IMAGE_SEVEN_MINE = "7mines.gif";
	public static final String IMAGE_EIGHT_MINE = "8mines.gif";
	public static final String IMAGE_SHADOW     = "shadow.gif";
	public static final String IMAGE_MARK       = "mark.gif";

	public static final String COLOR_DARK_GRAY  = "darkGray";
	public static final String COLOR_LIGHT_GRAY = "lightGray";
	public static final String COLOR_WHITE      = "white";
	public static final String COLOR_RED        = "red";
	public static final String COLOR_PLATFORM	= "platform";

	public static final int TOP_BORDER   = 1;
	public static final int LEFT_BORDER  = 2;
	public static final int RIGHT_BORDER = 4;
	public static final int DOWN_BORDER  = 8;

	public static String TRACE_INFO   = "  Info";
	public static String TRACE_UI     = "    UI";
	public static String TRACE_EVENTS = "Events";

	public static String MODE_EXPERT         = "expert";
	public static String MODE_INTERMEDIATE   = "intermediate";
	public static String MODE_BEGINNER       = "beginner";
	public static String MODE_CUSTOM         = "custom";
	public static String MINES_MODE_CUSTOM   = "minesCustom";
	public static String ROWS_MODE_CUSTOM    = "rowsCustom";
	public static String COLUMNS_MODE_CUSTOM = "columnsCustom";
	
	public static int MINES_MODE_EXPERT         = 99;
	public static int MINES_MODE_INTERMEDIATE   = 40;
	public static int MINES_MODE_BEGINNER       = 10;
	public static int ROWS_MODE_EXPERT          = 16;
	public static int ROWS_MODE_INTERMEDIATE    = 16;
	public static int ROWS_MODE_BEGINNER        = 9;
	public static int COLUMNS_MODE_EXPERT       = 30;
	public static int COLUMNS_MODE_INTERMEDIATE = 16;
	public static int COLUMNS_MODE_BEGINNER     = 9;

	public static String RECORD_TIME_MODE_EXPERT       = "timeExpert";
	public static String RECORD_TIME_MODE_INTERMEDIATE = "timeIntermediate";
	public static String RECORD_TIME_MODE_BEGINNER     = "timeBeginner";
	public static String RECORD_NAME_MODE_EXPERT       = "nameExpert";
	public static String RECORD_NAME_MODE_INTERMEDIATE = "nameIntermediate";
	public static String RECORD_NAME_MODE_BEGINNER     = "nameBeginner";

	public static String PLUGIN_ID = "es.org.chemi.games.minesweeper";
	public static String VIEW_ID   = "es.org.chemi.games.minesweeper.ui.MainView";
	
	public static int TYPE_BUTTON  = 1;
	public static int TYPE_LABEL   = 2;
	public static int TYPE_SHADOW  = 4;
}