/************************************************************
 *
 * Copyright (c) 2001 Chemi. All rights reserved.
 * 
 * This program and the accompanying materials
 * are made available under the terms of the MIT License
 * which accompanies this distribution, and is available at
 * http://www.opensource.org/licenses/mit-license.html
 *
 ************************************************************/

package es.org.chemi.games.minesweeper.actions;

import es.org.chemi.games.minesweeper.MinesweeperPlugin;
import es.org.chemi.games.util.Constants;
import org.eclipse.core.runtime.IStatus;
import org.eclipse.core.runtime.Status;
import org.eclipse.jface.action.Action;
import org.eclipse.ui.IViewPart;
import org.eclipse.ui.PartInitException;

public class ExitAction extends Action 
{
	/**
	 * Constructor for ExitAction
	 */
	public ExitAction(String label) 
	{
		super(label);
	}
	
	/**
	 * @see Action#run()
	 */
	public void run() 
	{
		IViewPart[] views = MinesweeperPlugin.getDefault().getWorkbench().getActiveWorkbenchWindow().getActivePage().getViews();
		for(int i=0; i<views.length; i++)
			if(views[i].getViewSite().getPluginId().equals(Constants.PLUGIN_ID))
				MinesweeperPlugin.getDefault().getWorkbench().getActiveWorkbenchWindow().getActivePage().hideView(views[i]);
	}	
}

