/************************************************************
 *
 * Copyright (c) 2001 Chemi. All rights reserved.
 * 
 * This program and the accompanying materials
 * are made available under the terms of the MIT License
 * which accompanies this distribution, and is available at
 * http://www.opensource.org/licenses/mit-license.html
 *
 ************************************************************/

package es.org.chemi.games.minesweeper.actions;

import es.org.chemi.games.minesweeper.ui.MainView;
import es.org.chemi.games.minesweeper.ui.RecordsDialog;
import org.eclipse.jface.action.Action;

public class RecordsAction extends Action 
{
	private MainView view = null;
	
	/**
	 * Constructor for RecordsAction
	 */
	public RecordsAction(String label, MainView view) 
	{
		super(label);
		this.view = view;
	}

	/**
	 * @see Action#run()
	 */
	public void run() 
	{
		RecordsDialog dialog = new RecordsDialog(view.getViewSite().getShell(), view);
		dialog.open();		
	}
}

